{% extends 'root.html' %}
{% block title %}
{{ title }}
{% endblock %}

{% block body %}
<h2>VPN connection</h2>
{% if is_chemnet %}
<div style="padding: 10px 10px 10px 50px; margin: 6px 0; background-repeat: no-repeat; background-position: 8px 8px; background-color: #fffce5; border: 1px solid; border-color: #ed5; background-image: url(/pl/images/interface/icon-alert.png);">
<h3>Warning</h3>
You are connected to ChemNet. If you are not able to connect to the OpenVPN service, please connect to a different network (e.g. eduroam) and try again. N.B. it is not necessary to use the VPN whilst connected to ChemNet.
</div>
{% endif %}

{% if vpn_server_type.startswith('chemistry') %}

<div style="padding: 10px 10px 10px 50px; margin: 6px 0; background-repeat: no-repeat; background-position: 8px 8px; background-color: #eff6ef; border: 1px solid; border-color: #55a15c; background-image: url(/pl/images/interface/icon-success.png);">
<h3>Connected</h3>
<p>You are on the Chemistry VPN with IP {{ ip }}</p>
</div>

{% if vpn_server_type.endswith('deprecated') %}
<div style="padding: 10px 10px 10px 50px; margin: 6px 0; background-repeat: no-repeat; background-position: 8px 8px; background-color: #fffce5; border: 1px solid; border-color: #ed5; background-image: url(/pl/images/interface/icon-alert.png);">
<h3>Warning</h3>
<p>You are using an out of date VPN configuration file. The latest files are available at <a href="https://downloads.ch.cam.ac.uk/vpn/latest/">https://downloads.ch.cam.ac.uk/vpn/latest/</a>.</p>
</div>
{% elif deprecated_servers|length > 0 %}
<div style="padding: 10px 10px 10px 50px; margin: 6px 0; background-repeat: no-repeat; background-position: 8px 8px; background-color: #eff6ef; border: 1px solid; border-color: #55a15c; background-image: url(/pl/images/interface/icon-success.png);">
<p>You are not using an out of date VPN configuration file.</p>
</div>
{% endif %}

<h2>Type of VPN tunnel</h2>
<div class="tunnel_type">
Attempting to determine tunnel type ...
</div>

{% else %}
<div style="padding: 10px 10px 10px 50px; margin: 6px 0; background-repeat: no-repeat; background-position: 8px 8px; background-color: #fef5f1; border: 1px solid; border-color: #ed541d; background-image: url(/pl/images/interface/icon-warning.png);">
<h3>Not connected</h3>
<p>You are not on the Chemistry VPN. Your IP is {{ ip }}</p>
</div>

{% endif %}
{% endblock %}
